Description

Migrated from https://joinup.ec.europa.eu/software/gvsig-desktop/issue/wfs-underscored-attributes-bug

This bug appears as fixed but the problem still happens in gvSIG 1.12 BN1406. Tested with this server:

http://wms.pcn.minambiente.it/cgi-bin/mapserv.exe?map=/ms_ogc/wfs/Autorita_bacino.map&#38;request=getcapabilities&#38;servic
=wfs&#38;version=1.0.0

Original issue description:

If you add a WFS layer containing unederscored attributes to your vista, make it visible and you go to the Filer tab of the WFS
attributes panel (reachable via the menu that appears right-clicking on the selected layer), you can see that underscored attributes are
displayed correctly but when you click on one of them to see the known values, they aren't loaded. Oppositely, if you click on
non-underscored attributes you'll see all known values. It is a problem that occurs when creating theSelectableDataSource associated
to the WFS layer. In fact, when you read the field names of the layer you will see that underscored attributes contain white spaces.
Use the following lines for example: SelectableDataSource sds = wfsLayer.getRecordset(); ReadableVectorial rv =
wfsLayer.getSource(); // Desde el modelo se debería acceder a los campos y sus valores cargados for (int i = 0; i <
sds.getFieldCount(); i++) { String fieldName = sds.getFieldName(i); ..... } The problem has also been reported twice: - 
http://osgeo-org.1803224.n2.nabble.com/WFS-layer-attributes-bug-td493565... - 
http://listserv.gva.es/pipermail/gvsig_internacional/2010-June/005484.html - 
http://listserv.gva.es/pipermail/gvsig_internacional/2010-June/005485.html - 
http://listserv.gva.es/pipermail/gvsig_internacional/2010-June/005487.html - 
http://listserv.gva.es/pipermail/gvsig_internacional/2010-June/005488.html

History
#1 - 04/12/2012 03:05 PM - Mario Carrera

Other server that can be tested is:

- WFS Server: http://www.idee.es/IDEE-WFS/ogcwebservice
- Layer: Distribucion_25000

It also contains fields with "_" in their names.

#2 - 04/24/2012 09:19 PM - Jorge Piera
Fixed r38193

#3 - 05/02/2012 12:22 AM - Francisco Puga

Thanks for the work Jorge.

Remember that if in the commit message you write something like

"WFS: underscored attributes bug fixes #521"

An automatic link is created by redmine between the commit and the bug. So you don't have to make a comment.

In redmine there are some "reserved word" like "fixes #bugNumber" that allow do this kind of things

#4 - 06/05/2012 06:33 PM - Francisco Puga
- Status changed from New to Fixed
- Target version changed from 1.12.0-final to 1.12.0-rc1

#5 - 09/27/2012 01:40 PM - Mario Carrera
- Status changed from Fixed to New
- Target version changed from 1.12.0-rc1 to 1.12.0-final
- gvSIG build changed from 1406 to 1417

#6 - 09/27/2012 03:17 PM - Antonio Falciano

It seems that filter expressions with underscored field doesn't work properly. For instance, if we connect to the above mentioned server:
http://wms.pcn.minambiente.it/cgi-bin/mapserv.exe?map=/ms_ogc/wfs/Autorita_bacino.map&#38;request=getcapabilities&#38;service=wfs&#38;versi
n=1.0.0 and then try to apply a filter expression like "cod_adb" = '05' a java.lang.NullPointerException occurs and the resulting WFS layer is empty.

#7 - 10/02/2012 03:20 PM - Manuel Madrid
- Target version deleted (1.12.0-final)

#8 - 01/15/2014 12:20 PM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (WFS)
